diff --git a/lustre/tests/recovery-small.sh b/lustre/tests/recovery-small.sh
index 35ab93448c7ad7676fbe718896b05e8ecff8a013..7e3726064f9552ce57e6b17eb9331038d6b5bea3 100755
--- a/lustre/tests/recovery-small.sh
+++ b/lustre/tests/recovery-small.sh
@@ -147,7 +147,7 @@ test_11(){
     drop_bl_callback multiop $MOUNT/$tfile Ow  || 
         echo "client evicted, as expected"
 
-    do_facet client unlink $MOUNT/$tfile  || return 4
+    do_facet client munlink $MOUNT/$tfile  || return 4
 }
 run_test 11 "wake up a thead waiting for completion after eviction (b=2460)"
 $CLEANUP